From 49594ebdd1b98340297383658a5f6021b538e674 Mon Sep 17 00:00:00 2001
From: Ramiro Polla <ramiro.polla@gmail.com>
Date: Tue, 12 Jan 2010 13:45:08 -0200
Subject: [PATCH] Move VLC_HARD_MIN_SLEEP above gcc version #ifdef.
 It is also used in modules/audio_output/oss.c.

---
 include/vlc_mtime.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/include/vlc_mtime.h b/include/vlc_mtime.h
index 7545f2d..60063ea 100644
--- a/include/vlc_mtime.h
+++ b/include/vlc_mtime.h
@@ -68,13 +68,14 @@ VLC_EXPORT( void,    mwait,    ( mtime_t date ) );
 VLC_EXPORT( void,    msleep,   ( mtime_t delay ) );
 VLC_EXPORT( char *,  secstotimestr, ( char *psz_buffer, int secs ) );
 
+# define VLC_HARD_MIN_SLEEP 10000   /* 10 milliseconds = 1 tick at 100Hz */
+
 #if defined (__GNUC__) \
  && ((__GNUC__ > 4) || (__GNUC__ == 4 && __GNUC_MINOR__ >= 3))
 /* Linux has 100, 250, 300 or 1000Hz
  *
  * HZ=100 by default on FreeBSD, but some architectures use a 1000Hz timer
  */
-# define VLC_HARD_MIN_SLEEP 10000   /* 10 milliseconds = 1 tick at 100Hz */
 # define VLC_SOFT_MIN_SLEEP 9000000 /* 9 seconds */
 
 static
-- 
1.5.4.3

